gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.PrintBackend

Contents

- Exported types
- Methods

Description

A print backend.

Synopsis

- newtype PrintBackend = PrintBackend (ManagedPtr PrintBackend)

# Exported types

newtype PrintBackend Source #

Memory-managed wrapper type.

Constructors

PrintBackend (ManagedPtr PrintBackend) |

#### Instances

Instances details

Eq PrintBackend Source # |
Instance details Defined in GI.Gtk.Structs.PrintBackend Methods (==) :: PrintBackend -> PrintBackend -> Bool Source # (/=) :: PrintBackend -> PrintBackend -> Bool Source #
BoxedPtr PrintBackend Source # |
Instance details Defined in GI.Gtk.Structs.PrintBackend Methods boxedPtrCopy :: PrintBackend -> IO PrintBackend Source # boxedPtrFree :: PrintBackend -> IO () Source #
ManagedPtrNewtype PrintBackend Source # |
Instance details Defined in GI.Gtk.Structs.PrintBackend Methods toManagedPtr :: PrintBackend -> ManagedPtr PrintBackend Source #

# Methods